Subject: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger

From: Peter Dyballa <[email-masked]>
Date: Fri, 23 May 2025 10:17:57 +0200

Paul,

I have a strange effect when building coreutils 9.7 with MacPorts. Yesterday I tried to build with -O0 – and it failed! This morning I repeated it – with same result:

	/opt/local/bin/gcc-apple-4.2 -std=gnu99  -I. -I./lib  -Ilib -I./lib -Isrc -I./src -I/opt/local/include -fPIC   -pipe -ggdb -O0 -arch ppc -MT src/libstdbuf_so-libstdbuf.o -MD -MP -MF src/.deps/libstdbuf_so-libstdbuf.Tpo -c -o src/libstdbuf_so-libstdbuf.o `test -f 'src/libstdbuf.c' || echo './'`src/libstdbuf.c
	mv -f src/.deps/libstdbuf_so-libstdbuf.Tpo src/.deps/libstdbuf_so-libstdbuf.Po
	/opt/local/bin/gcc-apple-4.2 -std=gnu99 -fPIC   -pipe -ggdb -O0 -arch ppc -shared -L/opt/local/lib -Wl,-headerpad_max_install_names -arch ppc -o src/libstdbuf.so src/libstdbuf_so-libstdbuf.o -lintl -Wl,-framework -Wl,CoreFoundation -Wl,-framework -Wl,CoreServices  Undefined symbols:
	  "_fchownat", referenced from:
	      _chownat in libstdbuf_so-libstdbuf.o
	      _lchownat in libstdbuf_so-libstdbuf.o
	  "_fchmodat", referenced from:
	      _chmodat in libstdbuf_so-libstdbuf.o
	      _lchmodat in libstdbuf_so-libstdbuf.o
	  "_xreallocarray", referenced from:
	      _xnrealloc in libstdbuf_so-libstdbuf.o
	ld: symbol(s) not found
	collect2: ld returned 1 exit status
	make[2]: *** [src/libstdbuf.so] Error 1
	make[2]: Leaving directory `/opt/local/var/macports/build/_Volumes_BSD-Linux_MacPorts-Ports_sysutils_coreutils-devel/coreutils-devel/work/coreutils-9.7'

I saved config.log and config.status from a build with -O instead of standard -Os and shall check later with other builds. The functions listed above are not part of Mac OS X 10.4.11, Tiger (apropos tells: nothing appropriate).

--
Greetings

  Pete

To most people solutions mean finding the answers. But to chemists solutions are things that are still all mixed up.